from util.setup_cloud_fraction import model_path
from aeolus.datasource import CLAVRx
import os
from deeplearning.cloud_fraction_fcn_abi import run_evaluate_static, run_evaluate_static_full_disk

tf_model_name = model_path+'tf_model_cld_frac_abi_v1' + os.sep
output_dir = '/home/rink' + os.sep


def infer_cloud_fraction(clvrx_dir, model_path=model_path+tf_model_name):
    clvrx_ds = CLAVRx(clvrx_dir)
    for fname in clvrx_ds:
        dto = clvrx_ds.get_datetime(fname)
        clvrx_str_time = dto.strftime('%Y-%m-%d_%H:%M')
        out_file = output_dir + 'cloud_fraction_' + clvrx_str_time
        run_evaluate_static(fname, out_file, model_path)


def infer_cloud_fraction_full_disk(clavrx_file, model_path=model_path+tf_model_name):
    cld_frac = run_evaluate_static_full_disk(clavrx_file, None, model_path)
    return cld_frac